package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.BoundarySurface;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class BoundarySurfaceNode extends Renderable {

	private BoundarySurface bs;

	public BoundarySurfaceNode(BoundarySurface bs) {
		this.bs = bs;
	}

	@Override
	public String getText() {
		return bs.getGmlId().getGmlString() + " [" + bs.getType() + "]";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.render(bs);
	}

	@Override
	public void refreshTextColor() {
		if (!bs.isValidated()) {
			setStatus(CheckStatus.NOT_CHECKED);
		} else if (bs.containsAnyError()) {
			setStatus(CheckStatus.ERROR);
		} else {
			setStatus(CheckStatus.OK);
		}
	}
}
